package com.srs.flowable.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.common.doman.vo.TeacherVo;

import com.srs.flowable.domain.EnlistmentReserve;
import org.apache.ibatis.annotations.Options;

import java.util.List;

/**
 * 应征入伍保留学籍申请Mapper接口
 *
 * @author srs
 * @date 2025-10-31
 */
public interface EnlistmentReserveMapper extends BaseMapper<EnlistmentReserve> {
    /**
     * 查询应征入伍保留学籍申请
     *
     * @param id 应征入伍保留学籍申请主键
     * @return 应征入伍保留学籍申请
     */
    public EnlistmentReserve selectRtEnlistmentReserveById(Long id);

    /**
     * 查询应征入伍保留学籍申请
     *
     * @param processInstanceId Flowable流程实例ID
     * @return 应征入伍保留学籍申请
     */
    public EnlistmentReserve selectRtEnlistmentReserveByProcessInstanceId(String processInstanceId);

    //    <!--  根据学号查询辅导员信息  -->
    public TeacherVo getCounselorInfo(String stuNo);

    /**
     * 获取审批用户信息
     * @param roleName
     * @return
     * 邵政文
     */
    List<TeacherVo> getShenDataInfo(String roleName);

    /**
     * 查询应征入伍保留学籍申请列表
     *
     * @param rtEnlistmentReserve 应征入伍保留学籍申请
     * @return 应征入伍保留学籍申请集合
     */
    List<EnlistmentReserve> selectRtEnlistmentReserveList(EnlistmentReserve rtEnlistmentReserve);

    /**
     * 新增应征入伍保留学籍申请
     *
     * @param enlistmentReserve 应征入伍保留学籍申请
     * @return 结果
     */
    @Options(useGeneratedKeys = true, keyProperty = "id", keyColumn = "id")
    int insertRtEnlistmentReserve(EnlistmentReserve enlistmentReserve);

    /**
     * 修改应征入伍保留学籍申请
     *
     * @param enlistmentReserve 应征入伍保留学籍申请
     * @return 结果
     */
    int updateRtEnlistmentReserve(EnlistmentReserve enlistmentReserve);

    /**
     * 删除应征入伍保留学籍申请
     *
     * @param id 应征入伍保留学籍申请主键
     * @return 结果
     */
    int deleteRtEnlistmentReserveById(Long id);

    int deleteDormitoryStudentById(String StuNo);

    /**
     * 批量删除应征入伍保留学籍申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtEnlistmentReserveByIds(Long[] ids);
}
